Make upload history accompany image description from Commons
Closed, ResolvedPublic

Description

Author: fred_chessplayer

Description:
Hello. It is nice to see that the image description is now automatically copied
from wikimedia commons to wikipedias. However as not all users add their name to
the images when they upload them, and some write something like "taken by user"
I think it would be nice to have the upload history also copied to the
wikipedias image description page, so that the viewing user would immediately be
able to see who this "user" is that took the image on "date of upload".


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3283.
bzimport created this task.Via LegacyAug 27 2005, 1:38 PM
bzimport added a comment.Via ConduitNov 25 2005, 7:04 AM

avarab wrote:

*** Bug 4072 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJun 14 2006, 3:06 AM

brianna.laugher wrote:

Fred also suggested elsewhere that we could create a new magic variable
{{ORIGINALUPLOADER}} or something like that, which can be inserted into the
templates.

We tried for ages to with tricks like "I (<nowiki>~~~</nowiki>) hereby..." on
*-self templates, to try and get them to expand the uploader's signature when
they use the template, but it didn't work. (Using the sig is a bit of a hack
anyway since they could make it point wherever they wanted.)

bzimport added a comment.Via ConduitMay 30 2007, 12:18 AM

RSYQFIOJGWZA wrote:

Everything possible from the image description page on Wikimedia Commons (including the upload history appropriately linked, the talk page, and the Check Usage link) should be immediately accessible when they are transcluded to other projects. "What links here" should be available both locally (for links on the local project) and for Commons. Perhaps a new pair of magic variables {{USERNAME}} and {{USERNAMEE}} would help to get the projects to actually comply with the "BY" (attribution) portions of the Creative Commons licenses for images transcluded from Wikimedia Commons? I'm sure there are other uses for such variables on the local projects, as well. - Jeff G.

bzimport added a comment.Via ConduitMay 30 2007, 12:34 AM

brianna.laugher wrote:

(In reply to comment #3)

Everything possible from the image description page on Wikimedia Commons
(including the upload history appropriately linked, the talk page, and the
Check Usage link) should be immediately accessible when they are transcluded to
other projects.

Transcluding the talk page may be difficult as some projects are in the habit of creating talk pages for Commons images. (There is a different bug about disallowing that, which was shot down so far.)

Perhaps a new pair of magic variables

{{USERNAME}} and {{USERNAMEE}} would help to get the projects to actually
comply with the "BY" (attribution) portions of the Creative Commons licenses
for images transcluded from Wikimedia Commons? I'm sure there are other uses
for such variables on the local projects, as well.

Yes, I recall the examples from Unencyclopedia were creating pages like "{{USERNAME}} is banned for life!" (or insert insults here) :)

These variables have been suggested before and rejected before, due to trouble with caching I think. They seem to be too heavy-load for Wikimedia to consider using.

bzimport added a comment.Via ConduitMar 12 2008, 2:22 AM

brianna.laugher wrote:

I think this has been fixed for a while. The file history is now transcluded too. Closing as FIXED.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:49 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.